language: go
go:
  - 1.8
  - 1.9
  - tip

env:
  global:
    - CC_TEST_REPORTER_ID=68feaa3410049ce73e145287acbcdacc525087a30627f96f04e579e75bd71c00

before_script:
  - curl -L https://codeclimate.com/downloads/test-reporter/test-reporter-latest-linux-amd64 > ./cc-test-reporter
  - chmod +x ./cc-test-reporter
  - ./cc-test-reporter before-build

install:
- go get github.com/go-task/task/cmd/task

script:
- task dl-deps
- task lint
- task test-coverage

after_script:
  - ./cc-test-reporter after-build --exit-code $TRAVIS_TEST_RESULT
